.\" $NetBSD: srtconfig.1,v 1.2 2006/12/29 10:39:11 wiz Exp $
.\" This file is in the public domain.
.Dd August 21, 2000
.Dt SRTCONFIG 1
.Os
.Sh NAME
.Nm srtconfig
.Nd configure srt interfaces
.Sh SYNOPSIS
.Nm
.Ar srtX
.Nm
.Ar srtX
.Ar N
.Nm
.Ar srtX
del
.Ar N
.Nm
.Ar srtX
add
.Ar srcaddr
.Ar mask
.Ar dstif
.Ar dstaddr
.Nm
.Ar srtX
set
.Ar N
.Ar srcaddr
.Ar mask
.Ar dstif
.Ar dstaddr
.Sh DESCRIPTION
.Nm
configures, or queries the configuration of,
.Xr srt 4
interfaces.
An
.Xr srt 4
interface parcels packets out to other interfaces based on their source
addresses (the normal routing mechanisms handle routing decisions based
on destination addresses).
An interface may have any number of routing choices; they are
examined in order until one matching the packet is found.  The
packet is sent to the corresponding interface.
(Any interface, even another
.Nm srt
interface, may be specified; if the configurations collaborate to cause
a packet to loop forever, the system will lock up or crash.)
.Pp
When run with only one argument,
.Nm
prints the settings for the specified interface.
.Pp
When run with two arguments,
.Nm
prints the settings for the routing choice whose number is given as the
second argument.
.Pp
The form with
.Sq del
deletes a routing choice, identified by its number.
Other choices with higher numbers, if any, will be renumbered
accordingly.
.Pp
The
.Sq add
form adds a choice; the other arguments describe it, and are documented
below.
The new choice is added at the end of the list.
.Pp
The
.Sq set
form replaces an existing choice, given its number.
The other arguments describe the new choice which is to replace
whatever currently exists at the given number
.Ar N .
.Pp
A choice is described by four pieces of information: a source address
and mask, which are used to determine which choice an outgoing packet
uses, a destination interface, and a destination address for the new
interface.
The source address and mask are specified like any Internet
addresses (for convenience, the mask may instead be specified as a
.Sq /
followed by a small integer, CIDR-style; note that in this case the
mask must still be a separate argument; it cannot be appended to the
end of the source address argument).
.Pp
Each srt interface also has ordinary source and destination addresses
which are set with
.Xr ifconfig 8
like any other interface; these should not be confused with any of the
above.
.Sh AUTHORS
.An der Mouse
.Aq mouse@rodents.montreal.qc.ca
